package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class AsKepJenisKajian
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "AsKepJenisKajian_M")
public class AsKepJenisKajianVO extends BaseMasterVO {
	@Caption(value="Jenis Kajian")
	private String jenisKajian;

	public void setJenisKajian(String jenisKajian) {
		this.jenisKajian = jenisKajian;
	}

	@Column(name = "JenisKajian", nullable = false , length = 50)
	public String getJenisKajian(){
		return this.jenisKajian;
	}

	@Caption(value="Kode Jenis Kajian")
	private Byte kdJenisKajian;


	public Byte getKdJenisKajian() {
		return kdJenisKajian;
	}

	public void setKdJenisKajian(Byte kdJenisKajian) {
		this.kdJenisKajian = kdJenisKajian;
	}

	@Caption(value="QJenis Kajian")
	private Byte qJenisKajian;

	@Column(name = "QJenisKajian", nullable = false )
	public Byte getqJenisKajian() {
		return qJenisKajian;
	}

	public void setqJenisKajian(Byte qJenisKajian) {
		this.qJenisKajian = qJenisKajian;
	}


	

}

